Loading...
Searching...
No Matches
{un,or}gl2: generate explicit Q, level 2, step in unglq
LAPACK » Orthogonal/unitary factors (QR, CS, etc.) » LQ
Collaboration diagram for {un,or}gl2: generate explicit Q, level 2, step in unglq:

## Functions

subroutine | cungl2 (m, n, k, a, lda, tau, work, info)
| CUNGL2 generates all or part of the unitary matrix Q from an LQ factorization determined by cgelqf (unblocked algorithm).
subroutine | dorgl2 (m, n, k, a, lda, tau, work, info)
| DORGL2
subroutine | sorgl2 (m, n, k, a, lda, tau, work, info)
| SORGL2
subroutine | zungl2 (m, n, k, a, lda, tau, work, info)
| ZUNGL2 generates all or part of the unitary matrix Q from an LQ factorization determined by cgelqf (unblocked algorithm).

## Detailed Description